package cn.reghao.tnb.search.api.iface;

import cn.reghao.tnb.search.api.dto.VideoSummary;
import cn.reghao.jutil.jdk.db.PageList;

/**
 * @author reghao
 * @date 2025-03-27 13:45:23
 */
public interface DataSearchService {
    void addVideoSummary(VideoSummary videoSummary);
    void updateVideoSummary(VideoSummary videoSummary);
    void deleteVideoSummary(String videoId);
    PageList<VideoSummary> searchVideo(String keyword, String nextIdStr, int pageNumber);
}
